aboutsummaryrefslogtreecommitdiff
path: root/t/t9107-git-svn-migrate.sh
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2007-01-25 11:53:13 -0800
committerEric Wong <normalperson@yhbt.net>2007-02-23 00:57:10 -0800
commit97f6987afaae239f7e3ae3944e0b29343b43a894 (patch)
tree1d19811dfd9b8947fa1849bd714d4ebff31d1be0 /t/t9107-git-svn-migrate.sh
parent1492b4245ad735e74f226bd796dc85de4f843739 (diff)
downloadgit-97f6987afaae239f7e3ae3944e0b29343b43a894.tar.gz
git-97f6987afaae239f7e3ae3944e0b29343b43a894.tar.xz
git-svn: avoid tracking change-less revisions
They simply aren't interesting to track, and this will allow us to avoid get_log(). Since r0 is covered by this, we need to update the tests to not rely on r0 (which is always empty). Signed-off-by: Eric Wong <normalperson@yhbt.net>
Diffstat (limited to 't/t9107-git-svn-migrate.sh')
-rwxr-xr-xt/t9107-git-svn-migrate.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/t/t9107-git-svn-migrate.sh b/t/t9107-git-svn-migrate.sh
index 74a45ec64..f6d84ba7a 100755
--- a/t/t9107-git-svn-migrate.sh
+++ b/t/t9107-git-svn-migrate.sh
@@ -5,13 +5,17 @@ test_description='git-svn metadata migrations from previous versions'
test_expect_success 'setup old-looking metadata' "
cp $GIT_DIR/config $GIT_DIR/config-old-git-svn &&
+ mkdir import &&
+ cd import
+ for i in trunk branches/a branches/b \
+ tags/0.1 tags/0.2 tags/0.3; do
+ mkdir -p \$i && \
+ echo hello >> \$i/README || exit 1
+ done && \
+ svn import -m test . $svnrepo
+ cd .. &&
git-svn init $svnrepo &&
git-svn fetch &&
- for i in trunk branches/a branches/b tags/0.1 tags/0.2 tags/0.3; do
- mkdir -p \$i && echo hello >> \$i/README || exit 1; done &&
- git ls-files -o trunk branches tags | git update-index --add --stdin &&
- git commit -m 'test' &&
- git-svn dcommit &&
mv $GIT_DIR/svn/* $GIT_DIR/ &&
rmdir $GIT_DIR/svn &&
git-update-ref refs/heads/git-svn-HEAD refs/remotes/git-svn &&